------------------------------------------------------------
-- VHDL sdhc_memory_card_System
-- 2015 7 11 19 36 0
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL sdhc_memory_card_System
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity sdhc_memory_card_System Is
  port
  (
    CLK_I         : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=CLK_I
    RST_I         : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=RST_I
    SD_SD_BUSY    : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=SD_SD_BUSY
    SD_SD_CLK     : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=SD_SD_CLK
    SD_SD_CMD_I   : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=SD_SD_CMD_I
    SD_SD_CMD_O   : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=SD_SD_CMD_O
    SD_SD_CMD_OEN : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=SD_SD_CMD_OEN
    SD_SD_DAT_I   : In    STD_LOGIC_VECTOR(3 DOWNTO 0);      -- ObjectKind=Port|PrimaryId=SD_SD_DAT_I[3..0]
    SD_SD_DAT_O   : Out   STD_LOGIC_VECTOR(3 DOWNTO 0);      -- ObjectKind=Port|PrimaryId=SD_SD_DAT_O[3..0]
    SD_SD_DAT_OEN : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=SD_SD_DAT_OEN
    SD_SD_DETECT  : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=SD_SD_DETECT
    SD_SD_PROTECT : In    STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=SD_SD_PROTECT
    XMEM_SRAM_A   : Out   STD_LOGIC_VECTOR(17 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=XMEM_SRAM_A[17..0]
    XMEM_SRAM_CE  : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=XMEM_SRAM_CE
    XMEM_SRAM_D   : InOut STD_LOGIC_VECTOR(15 DOWNTO 0);     -- ObjectKind=Port|PrimaryId=XMEM_SRAM_D[15..0]
    XMEM_SRAM_LB  : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=XMEM_SRAM_LB
    XMEM_SRAM_OE  : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=XMEM_SRAM_OE
    XMEM_SRAM_UB  : Out   STD_LOGIC;                         -- ObjectKind=Port|PrimaryId=XMEM_SRAM_UB
    XMEM_SRAM_WE  : Out   STD_LOGIC                          -- ObjectKind=Port|PrimaryId=XMEM_SRAM_WE
  );
  attribute MacroCell : boolean;

End sdhc_memory_card_System;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of sdhc_memory_card_System is
   Component Configurable_MCU                                -- ObjectKind=Part|PrimaryId=MCU|SecondaryId=1
      port
      (
        CLK_I    : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-CLK_I
        INT_I    : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-INT_I[31..0]
        IO_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-IO_ACK_I
        IO_ADR_O : out STD_LOGIC_VECTOR(23 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-IO_ADR_O[23..0]
        IO_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-IO_CYC_O
        IO_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-IO_DAT_I[31..0]
        IO_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-IO_DAT_O[31..0]
        IO_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=MCU-IO_SEL_O[3..0]
        IO_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-IO_STB_O
        IO_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-IO_WE_O
        ME_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-ME_ACK_I
        ME_ADR_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-ME_ADR_O[31..0]
        ME_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-ME_CYC_O
        ME_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-ME_DAT_I[31..0]
        ME_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=MCU-ME_DAT_O[31..0]
        ME_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=MCU-ME_SEL_O[3..0]
        ME_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-ME_STB_O
        ME_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=MCU-ME_WE_O
        RST_I    : in  STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=MCU-RST_I
      );
   End Component;

   Component Configurable_WB_INTERCON_1                      -- ObjectKind=Part|PrimaryId=WB_INTERCON_1|SecondaryId=1
      port
      (
        m0_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_ACK_O
        m0_ADR_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_ADR_I[31..0]
        m0_CLK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_CLK_I
        m0_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_CYC_I
        m0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_DAT_I[31..0]
        m0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_DAT_O[31..0]
        m0_SEL_I : in  STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_SEL_I[3..0]
        m0_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_STB_I
        m0_WE_I  : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_WE_I
        s0_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_ACK_I
        s0_ADR_O : out STD_LOGIC_VECTOR(18 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_ADR_O[18..0]
        s0_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_CYC_O
        s0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_DAT_I[31..0]
        s0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_DAT_O[31..0]
        s0_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_SEL_O[3..0]
        s0_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_STB_O
        s0_WE_O  : out STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_WE_O
      );
   End Component;

   Component Configurable_WB_INTERCON_2                      -- ObjectKind=Part|PrimaryId=WB_INTERCON_2|SecondaryId=1
      port
      (
        m0_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_ACK_O
        m0_ADR_I : in  STD_LOGIC_VECTOR(23 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_ADR_I[23..0]
        m0_CLK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_CLK_I
        m0_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_CYC_I
        m0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_DAT_I[31..0]
        m0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_DAT_O[31..0]
        m0_SEL_I : in  STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_SEL_I[3..0]
        m0_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_STB_I
        m0_WE_I  : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_WE_I
        s0_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_ACK_I
        s0_ADR_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_ADR_O[3..0]
        s0_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_CYC_O
        s0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_DAT_I[31..0]
        s0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_DAT_O[31..0]
        s0_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_SEL_O[3..0]
        s0_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_STB_O
        s0_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_WE_O
        s1_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s1_ACK_I
        s1_ADR_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s1_ADR_O[3..0]
        s1_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s1_CYC_O
        s1_DAT_I : in  STD_LOGIC_VECTOR(7 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s1_DAT_I[7..0]
        s1_DAT_O : out STD_LOGIC_VECTOR(7 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s1_DAT_O[7..0]
        s1_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s1_SEL_O[3..0]
        s1_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s1_STB_O
        s1_WE_O  : out STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s1_WE_O
      );
   End Component;

   Component Configurable_WB_MULTIMASTER_1                   -- ObjectKind=Part|PrimaryId=WB_MULTIMASTER_1|SecondaryId=1
      port
      (
        CLK_I    : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-CLK_I
        m0_ACK_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_ACK_I
        m0_ADR_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_ADR_O[31..0]
        m0_CYC_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_CYC_O
        m0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_DAT_I[31..0]
        m0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_DAT_O[31..0]
        m0_SEL_O : out STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_SEL_O[3..0]
        m0_STB_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_STB_O
        m0_WE_O  : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_WE_O
        RST_I    : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-RST_I
        s0_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_ACK_O
        s0_ADR_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_ADR_I[31..0]
        s0_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_CYC_I
        s0_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_DAT_I[31..0]
        s0_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_DAT_O[31..0]
        s0_SEL_I : in  STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_SEL_I[3..0]
        s0_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_STB_I
        s0_WE_I  : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_WE_I
        s1_ACK_O : out STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_ACK_O
        s1_ADR_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_ADR_I[31..0]
        s1_CYC_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_CYC_I
        s1_DAT_I : in  STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_DAT_I[31..0]
        s1_DAT_O : out STD_LOGIC_VECTOR(31 downto 0);        -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_DAT_O[31..0]
        s1_SEL_I : in  STD_LOGIC_VECTOR(3 downto 0);         -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_SEL_I[3..0]
        s1_STB_I : in  STD_LOGIC;                            -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_STB_I
        s1_WE_I  : in  STD_LOGIC                             -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_WE_I
      );
   End Component;

   Component Configurable_XMEM                               -- ObjectKind=Part|PrimaryId=XMEM|SecondaryId=1
      port
      (
        ACK_O   : out   STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XMEM-ACK_O
        ADR_I   : in    STD_LOGIC_VECTOR(18 downto 0);       -- ObjectKind=Pin|PrimaryId=XMEM-ADR_I[18..0]
        CLK_I   : in    STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XMEM-CLK_I
        CYC_I   : in    STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XMEM-CYC_I
        DAT_I   : in    STD_LOGIC_VECTOR(31 downto 0);       -- ObjectKind=Pin|PrimaryId=XMEM-DAT_I[31..0]
        DAT_O   : out   STD_LOGIC_VECTOR(31 downto 0);       -- ObjectKind=Pin|PrimaryId=XMEM-DAT_O[31..0]
        RST_I   : in    STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XMEM-RST_I
        SEL_I   : in    STD_LOGIC_VECTOR(3 downto 0);        -- ObjectKind=Pin|PrimaryId=XMEM-SEL_I[3..0]
        SRAM_A  : out   STD_LOGIC_VECTOR(17 downto 0);       -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_A[17..0]
        SRAM_CE : out   STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_CE
        SRAM_D  : inout STD_LOGIC_VECTOR(15 downto 0);       -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_D[15..0]
        SRAM_LB : out   STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_LB
        SRAM_OE : out   STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_OE
        SRAM_UB : out   STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_UB
        SRAM_WE : out   STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_WE
        STB_I   : in    STD_LOGIC;                           -- ObjectKind=Pin|PrimaryId=XMEM-STB_I
        WE_I    : in    STD_LOGIC                            -- ObjectKind=Pin|PrimaryId=XMEM-WE_I
      );
   End Component;

   Component J16S_16B                                        -- ObjectKind=Part|PrimaryId=MCU_HI|SecondaryId=1
      port
      (
        I0  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I0
        I1  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I1
        I2  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I2
        I3  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I3
        I4  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I4
        I5  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I5
        I6  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I6
        I7  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I7
        I8  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I8
        I9  : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I9
        I10 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I10
        I11 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I11
        I12 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I12
        I13 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I13
        I14 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I14
        I15 : in  STD_LOGIC;                                 -- ObjectKind=Pin|PrimaryId=MCU_HI-I15
        O   : out STD_LOGIC_VECTOR(15 downto 0)              -- ObjectKind=Pin|PrimaryId=MCU_HI-O[15..0]
      );
   End Component;

   Component TERMINAL                                        -- ObjectKind=Part|PrimaryId=TERM|SecondaryId=1
      port
      (
        ACK_O : out STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=TERM-ACK_O
        ADR_I : in  STD_LOGIC_VECTOR(3 downto 0);            -- ObjectKind=Pin|PrimaryId=TERM-ADR_I[3..0]
        CLK_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=TERM-CLK_I
        CYC_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=TERM-CYC_I
        DAT_I : in  STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=TERM-DAT_I[7..0]
        DAT_O : out STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=TERM-DAT_O[7..0]
        INT_O : out STD_LOGIC_VECTOR(1 downto 0);            -- ObjectKind=Pin|PrimaryId=TERM-INT_O[1..0]
        RST_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=TERM-RST_I
        STB_I : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=TERM-STB_I
        WE_I  : in  STD_LOGIC                                -- ObjectKind=Pin|PrimaryId=TERM-WE_I
      );
   End Component;

   Component WB_SDHC                                         -- ObjectKind=Part|PrimaryId=SD|SecondaryId=1
      port
      (
        IO_ACK_O   : out STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=SD-IO_ACK_O
        IO_ADR_I   : in  STD_LOGIC_VECTOR(3 downto 0);       -- ObjectKind=Pin|PrimaryId=SD-IO_ADR_I[3..0]
        IO_CLK_I   : in  STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=SD-IO_CLK_I
        IO_CYC_I   : in  STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=SD-IO_CYC_I
        IO_DAT_I   : in  STD_LOGIC_VECTOR(31 downto 0);      -- ObjectKind=Pin|PrimaryId=SD-IO_DAT_I[31..0]
        IO_DAT_O   : out STD_LOGIC_VECTOR(31 downto 0);      -- ObjectKind=Pin|PrimaryId=SD-IO_DAT_O[31..0]
        IO_RST_I   : in  STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=SD-IO_RST_I
        IO_STB_I   : in  STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=SD-IO_STB_I
        IO_WE_I    : in  STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=SD-IO_WE_I
        MEM_ACK_I  : in  STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=SD-MEM_ACK_I
        MEM_ADR_O  : out STD_LOGIC_VECTOR(31 downto 0);      -- ObjectKind=Pin|PrimaryId=SD-MEM_ADR_O[31..0]
        MEM_CYC_O  : out STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=SD-MEM_CYC_O
        MEM_DAT_I  : in  STD_LOGIC_VECTOR(31 downto 0);      -- ObjectKind=Pin|PrimaryId=SD-MEM_DAT_I[31..0]
        MEM_DAT_O  : out STD_LOGIC_VECTOR(31 downto 0);      -- ObjectKind=Pin|PrimaryId=SD-MEM_DAT_O[31..0]
        MEM_SEL_O  : out STD_LOGIC_VECTOR(3 downto 0);       -- ObjectKind=Pin|PrimaryId=SD-MEM_SEL_O[3..0]
        MEM_STB_O  : out STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=SD-MEM_STB_O
        MEM_WE_O   : out STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=SD-MEM_WE_O
        SD_BUSY    : out STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=SD-SD_BUSY
        SD_CLK     : out STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=SD-SD_CLK
        SD_CMD_I   : in  STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=SD-SD_CMD_I
        SD_CMD_O   : out STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=SD-SD_CMD_O
        SD_CMD_OEN : out STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=SD-SD_CMD_OEN
        SD_DAT_I   : in  STD_LOGIC_VECTOR(3 downto 0);       -- ObjectKind=Pin|PrimaryId=SD-SD_DAT_I[3..0]
        SD_DAT_O   : out STD_LOGIC_VECTOR(3 downto 0);       -- ObjectKind=Pin|PrimaryId=SD-SD_DAT_O[3..0]
        SD_DAT_OEN : out STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=SD-SD_DAT_OEN
        SD_DETECT  : in  STD_LOGIC;                          -- ObjectKind=Pin|PrimaryId=SD-SD_DETECT
        SD_PROTECT : in  STD_LOGIC                           -- ObjectKind=Pin|PrimaryId=SD-SD_PROTECT
      );
   End Component;


    Signal NamedSignal_CLK_I                                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK_I
    Signal NamedSignal_GND1_BUS                                   : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[3..0]
    Signal NamedSignal_GND2_BUS                                   : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND2_BUS[3..0]
    Signal NamedSignal_INTERRUPT_MCU_INT_I                        : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=INTERRUPT_MCU_INT_I[31..0]
    Signal NamedSignal_MCU_M0_S0_WB_INTERCON_2_ACK                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_ACK
    Signal NamedSignal_MCU_M0_S0_WB_INTERCON_2_ADR                : STD_LOGIC_VECTOR(23 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_ADR[23..0]
    Signal NamedSignal_MCU_M0_S0_WB_INTERCON_2_CYC                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_CYC
    Signal NamedSignal_MCU_M0_S0_WB_INTERCON_2_DATIO              : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_DATIO[31..0]
    Signal NamedSignal_MCU_M0_S0_WB_INTERCON_2_DATOI              : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_DATOI[31..0]
    Signal NamedSignal_MCU_M0_S0_WB_INTERCON_2_SEL                : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_SEL[3..0]
    Signal NamedSignal_MCU_M0_S0_WB_INTERCON_2_STB                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_STB
    Signal NamedSignal_MCU_M0_S0_WB_INTERCON_2_WE                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_WE
    Signal NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_ACK             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_ACK
    Signal NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_ADR             : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_ADR[31..0]
    Signal NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_CYC             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_CYC
    Signal NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_DATIO           : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_DATIO[31..0]
    Signal NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_DATOI           : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_DATOI[31..0]
    Signal NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_SEL             : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_SEL[3..0]
    Signal NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_STB             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_STB
    Signal NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_WE              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_WE
    Signal NamedSignal_RST_I                                      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST_I
    Signal NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_ACK              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_ACK
    Signal NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_ADR              : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_ADR[31..0]
    Signal NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_CYC              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_CYC
    Signal NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_DATIO            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_DATIO[31..0]
    Signal NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_DATOI            : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_DATOI[31..0]
    Signal NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_SEL              : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_SEL[3..0]
    Signal NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_STB              : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_STB
    Signal NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_WE               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_WE
    Signal NamedSignal_WB_INTERCON_1_M0_S0_XMEM_ACK               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_ACK
    Signal NamedSignal_WB_INTERCON_1_M0_S0_XMEM_ADR               : STD_LOGIC_VECTOR(18 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_ADR[18..0]
    Signal NamedSignal_WB_INTERCON_1_M0_S0_XMEM_CYC               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_CYC
    Signal NamedSignal_WB_INTERCON_1_M0_S0_XMEM_DATIO             : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_DATIO[31..0]
    Signal NamedSignal_WB_INTERCON_1_M0_S0_XMEM_DATOI             : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_DATOI[31..0]
    Signal NamedSignal_WB_INTERCON_1_M0_S0_XMEM_SEL               : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_SEL[3..0]
    Signal NamedSignal_WB_INTERCON_1_M0_S0_XMEM_STB               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_STB
    Signal NamedSignal_WB_INTERCON_1_M0_S0_XMEM_WE                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_WE
    Signal NamedSignal_WB_INTERCON_2_M0_S0_SD_ACK                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_ACK
    Signal NamedSignal_WB_INTERCON_2_M0_S0_SD_ADR                 : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_ADR[3..0]
    Signal NamedSignal_WB_INTERCON_2_M0_S0_SD_CYC                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_CYC
    Signal NamedSignal_WB_INTERCON_2_M0_S0_SD_DATIO               : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_DATIO[31..0]
    Signal NamedSignal_WB_INTERCON_2_M0_S0_SD_DATOI               : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_DATOI[31..0]
    Signal NamedSignal_WB_INTERCON_2_M0_S0_SD_STB                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_STB
    Signal NamedSignal_WB_INTERCON_2_M0_S0_SD_WE                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_WE
    Signal NamedSignal_WB_INTERCON_2_M1_S0_TERM_ACK               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_ACK
    Signal NamedSignal_WB_INTERCON_2_M1_S0_TERM_ADR               : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_ADR[3..0]
    Signal NamedSignal_WB_INTERCON_2_M1_S0_TERM_CYC               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_CYC
    Signal NamedSignal_WB_INTERCON_2_M1_S0_TERM_DATIO             : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_DATIO[7..0]
    Signal NamedSignal_WB_INTERCON_2_M1_S0_TERM_DATOI             : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_DATOI[7..0]
    Signal NamedSignal_WB_INTERCON_2_M1_S0_TERM_STB               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_STB
    Signal NamedSignal_WB_INTERCON_2_M1_S0_TERM_WE                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_WE
    Signal NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_ACK   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_ACK
    Signal NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_ADR   : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_ADR[31..0]
    Signal NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_CYC   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_CYC
    Signal NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_DATIO : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_DATIO[31..0]
    Signal NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_DATOI : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_DATOI[31..0]
    Signal NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_SEL   : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_SEL[3..0]
    Signal NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_STB   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_STB
    Signal NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_WE    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_WE
    Signal PinSignal_MCU_HI_O                                     : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=INTERRUPT_MCU_INT_I[31..0]
    Signal PinSignal_MCU_IO_ADR_O                                 : STD_LOGIC_VECTOR(23 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_ADR[23..0]
    Signal PinSignal_MCU_IO_CYC_O                                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_CYC
    Signal PinSignal_MCU_IO_DAT_O                                 : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_DATIO[31..0]
    Signal PinSignal_MCU_IO_SEL_O                                 : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_SEL[3..0]
    Signal PinSignal_MCU_IO_STB_O                                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_STB
    Signal PinSignal_MCU_IO_WE_O                                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_WE
    Signal PinSignal_MCU_LO_O                                     : STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Net|PrimaryId=INTERRUPT_MCU_INT_I[15..0]
    Signal PinSignal_MCU_ME_ADR_O                                 : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_ADR[31..0]
    Signal PinSignal_MCU_ME_CYC_O                                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_CYC
    Signal PinSignal_MCU_ME_DAT_O                                 : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_DATIO[31..0]
    Signal PinSignal_MCU_ME_SEL_O                                 : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_SEL[3..0]
    Signal PinSignal_MCU_ME_STB_O                                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_STB
    Signal PinSignal_MCU_ME_WE_O                                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_WE
    Signal PinSignal_SD_IO_ACK_O                                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_ACK
    Signal PinSignal_SD_IO_DAT_O                                  : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_DATOI[31..0]
    Signal PinSignal_SD_MEM_ADR_O                                 : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_ADR[31..0]
    Signal PinSignal_SD_MEM_CYC_O                                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_CYC
    Signal PinSignal_SD_MEM_DAT_O                                 : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_DATIO[31..0]
    Signal PinSignal_SD_MEM_SEL_O                                 : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_SEL[3..0]
    Signal PinSignal_SD_MEM_STB_O                                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_STB
    Signal PinSignal_SD_MEM_WE_O                                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_WE
    Signal PinSignal_SD_SD_BUSY                                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SD_SD_BUSY
    Signal PinSignal_SD_SD_CLK                                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SD_SD_CLK
    Signal PinSignal_SD_SD_CMD_O                                  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SD_SD_CMD_O
    Signal PinSignal_SD_SD_CMD_OEN                                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SD_SD_CMD_OEN
    Signal PinSignal_SD_SD_DAT_O                                  : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=SD_SD_DAT_O[3..0]
    Signal PinSignal_SD_SD_DAT_OEN                                : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SD_SD_DAT_OEN
    Signal PinSignal_TERM_ACK_O                                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_ACK
    Signal PinSignal_TERM_DAT_O                                   : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_DATOI[7..0]
    Signal PinSignal_TERM_INT_O                                   : STD_LOGIC_VECTOR(1 downto 0); -- ObjectKind=Net|PrimaryId=TERM_INT_O[1..0]
    Signal PinSignal_WB_INTERCON_1_m0_ACK_O                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_ACK
    Signal PinSignal_WB_INTERCON_1_m0_DAT_O                       : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_DATOI[31..0]
    Signal PinSignal_WB_INTERCON_1_s0_ADR_O                       : STD_LOGIC_VECTOR(18 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_ADR[18..0]
    Signal PinSignal_WB_INTERCON_1_s0_CYC_O                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_CYC
    Signal PinSignal_WB_INTERCON_1_s0_DAT_O                       : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_DATIO[31..0]
    Signal PinSignal_WB_INTERCON_1_s0_SEL_O                       : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_SEL[3..0]
    Signal PinSignal_WB_INTERCON_1_s0_STB_O                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_STB
    Signal PinSignal_WB_INTERCON_1_s0_WE_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_WE
    Signal PinSignal_WB_INTERCON_2_m0_ACK_O                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_ACK
    Signal PinSignal_WB_INTERCON_2_m0_DAT_O                       : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_DATOI[31..0]
    Signal PinSignal_WB_INTERCON_2_s0_ADR_O                       : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_ADR[3..0]
    Signal PinSignal_WB_INTERCON_2_s0_CYC_O                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_CYC
    Signal PinSignal_WB_INTERCON_2_s0_DAT_O                       : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_DATIO[31..0]
    Signal PinSignal_WB_INTERCON_2_s0_SEL_O                       : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND1_BUS[3..0]
    Signal PinSignal_WB_INTERCON_2_s0_STB_O                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_STB
    Signal PinSignal_WB_INTERCON_2_s0_WE_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_WE
    Signal PinSignal_WB_INTERCON_2_s1_ADR_O                       : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_ADR[3..0]
    Signal PinSignal_WB_INTERCON_2_s1_CYC_O                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_CYC
    Signal PinSignal_WB_INTERCON_2_s1_DAT_O                       : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_DATIO[7..0]
    Signal PinSignal_WB_INTERCON_2_s1_SEL_O                       : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=GND2_BUS[3..0]
    Signal PinSignal_WB_INTERCON_2_s1_STB_O                       : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_STB
    Signal PinSignal_WB_INTERCON_2_s1_WE_O                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_WE
    Signal PinSignal_WB_MULTIMASTER_1_m0_ADR_O                    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_ADR[31..0]
    Signal PinSignal_WB_MULTIMASTER_1_m0_CYC_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_CYC
    Signal PinSignal_WB_MULTIMASTER_1_m0_DAT_O                    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_DATIO[31..0]
    Signal PinSignal_WB_MULTIMASTER_1_m0_SEL_O                    : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_SEL[3..0]
    Signal PinSignal_WB_MULTIMASTER_1_m0_STB_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_STB
    Signal PinSignal_WB_MULTIMASTER_1_m0_WE_O                     : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_WE
    Signal PinSignal_WB_MULTIMASTER_1_s0_ACK_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_ACK
    Signal PinSignal_WB_MULTIMASTER_1_s0_DAT_O                    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_DATOI[31..0]
    Signal PinSignal_WB_MULTIMASTER_1_s1_ACK_O                    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_ACK
    Signal PinSignal_WB_MULTIMASTER_1_s1_DAT_O                    : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_DATOI[31..0]
    Signal PinSignal_XMEM_ACK_O                                   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_ACK
    Signal PinSignal_XMEM_DAT_O                                   : STD_LOGIC_VECTOR(31 downto 0); -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_DATOI[31..0]
    Signal PinSignal_XMEM_SRAM_A                                  : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=XMEM_SRAM_A[17..0]
    Signal PinSignal_XMEM_SRAM_CE                                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_CE
    Signal PinSignal_XMEM_SRAM_LB                                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_LB
    Signal PinSignal_XMEM_SRAM_OE                                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_OE
    Signal PinSignal_XMEM_SRAM_UB                                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_UB
    Signal PinSignal_XMEM_SRAM_WE                                 : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_WE
    Signal PowerSignal_GND                                        : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND

   attribute ExportedInterrupts : string;
   attribute ExportedInterrupts of MCU : Label is "0000000000000000,FFFFFFFF,FFFFFFFF";

   attribute InterconOrder : string;
   attribute InterconOrder of XMEM          : Label is "0";
   attribute InterconOrder of WB_INTERCON_2 : Label is "0";
   attribute InterconOrder of WB_INTERCON_1 : Label is "0";
   attribute InterconOrder of TERM          : Label is "1";
   attribute InterconOrder of SD            : Label is "0";


begin
    XMEM : Configurable_XMEM                                 -- ObjectKind=Part|PrimaryId=XMEM|SecondaryId=1
      Port Map
      (
        ACK_O      => PinSignal_XMEM_ACK_O,                  -- ObjectKind=Pin|PrimaryId=XMEM-ACK_O
        ADR_I      => NamedSignal_WB_INTERCON_1_M0_S0_XMEM_ADR, -- ObjectKind=Pin|PrimaryId=XMEM-ADR_I[18..0]
        CLK_I      => NamedSignal_CLK_I,                     -- ObjectKind=Pin|PrimaryId=XMEM-CLK_I
        CYC_I      => NamedSignal_WB_INTERCON_1_M0_S0_XMEM_CYC, -- ObjectKind=Pin|PrimaryId=XMEM-CYC_I
        DAT_I      => NamedSignal_WB_INTERCON_1_M0_S0_XMEM_DATIO, -- ObjectKind=Pin|PrimaryId=XMEM-DAT_I[31..0]
        DAT_O      => PinSignal_XMEM_DAT_O,                  -- ObjectKind=Pin|PrimaryId=XMEM-DAT_O[31..0]
        RST_I      => NamedSignal_RST_I,                     -- ObjectKind=Pin|PrimaryId=XMEM-RST_I
        SEL_I      => NamedSignal_WB_INTERCON_1_M0_S0_XMEM_SEL, -- ObjectKind=Pin|PrimaryId=XMEM-SEL_I[3..0]
        SRAM_A     => PinSignal_XMEM_SRAM_A,                 -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_A[17..0]
        SRAM_CE    => PinSignal_XMEM_SRAM_CE,                -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_CE
        SRAM_D(15) => XMEM_SRAM_D(15),                       -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_D[15..0]
        SRAM_D(14) => XMEM_SRAM_D(14),                       -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_D[15..0]
        SRAM_D(13) => XMEM_SRAM_D(13),                       -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_D[15..0]
        SRAM_D(12) => XMEM_SRAM_D(12),                       -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_D[15..0]
        SRAM_D(11) => XMEM_SRAM_D(11),                       -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_D[15..0]
        SRAM_D(10) => XMEM_SRAM_D(10),                       -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_D[15..0]
        SRAM_D(9)  => XMEM_SRAM_D(9),                        -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_D[15..0]
        SRAM_D(8)  => XMEM_SRAM_D(8),                        -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_D[15..0]
        SRAM_D(7)  => XMEM_SRAM_D(7),                        -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_D[15..0]
        SRAM_D(6)  => XMEM_SRAM_D(6),                        -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_D[15..0]
        SRAM_D(5)  => XMEM_SRAM_D(5),                        -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_D[15..0]
        SRAM_D(4)  => XMEM_SRAM_D(4),                        -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_D[15..0]
        SRAM_D(3)  => XMEM_SRAM_D(3),                        -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_D[15..0]
        SRAM_D(2)  => XMEM_SRAM_D(2),                        -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_D[15..0]
        SRAM_D(1)  => XMEM_SRAM_D(1),                        -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_D[15..0]
        SRAM_D(0)  => XMEM_SRAM_D(0),                        -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_D[15..0]
        SRAM_LB    => PinSignal_XMEM_SRAM_LB,                -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_LB
        SRAM_OE    => PinSignal_XMEM_SRAM_OE,                -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_OE
        SRAM_UB    => PinSignal_XMEM_SRAM_UB,                -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_UB
        SRAM_WE    => PinSignal_XMEM_SRAM_WE,                -- ObjectKind=Pin|PrimaryId=XMEM-SRAM_WE
        STB_I      => NamedSignal_WB_INTERCON_1_M0_S0_XMEM_STB, -- ObjectKind=Pin|PrimaryId=XMEM-STB_I
        WE_I       => NamedSignal_WB_INTERCON_1_M0_S0_XMEM_WE -- ObjectKind=Pin|PrimaryId=XMEM-WE_I
      );

    WB_MULTIMASTER_1 : Configurable_WB_MULTIMASTER_1         -- ObjectKind=Part|PrimaryId=WB_MULTIMASTER_1|SecondaryId=1
      Port Map
      (
        CLK_I    => NamedSignal_CLK_I,                       -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-CLK_I
        m0_ACK_I => NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_ACK, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_ACK_I
        m0_ADR_O => PinSignal_WB_MULTIMASTER_1_m0_ADR_O,     -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_ADR_O[31..0]
        m0_CYC_O => PinSignal_WB_MULTIMASTER_1_m0_CYC_O,     -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_CYC_O
        m0_DAT_I => NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_DATOI, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_DAT_I[31..0]
        m0_DAT_O => PinSignal_WB_MULTIMASTER_1_m0_DAT_O,     -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_DAT_O[31..0]
        m0_SEL_O => PinSignal_WB_MULTIMASTER_1_m0_SEL_O,     -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_SEL_O[3..0]
        m0_STB_O => PinSignal_WB_MULTIMASTER_1_m0_STB_O,     -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_STB_O
        m0_WE_O  => PinSignal_WB_MULTIMASTER_1_m0_WE_O,      -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-m0_WE_O
        RST_I    => NamedSignal_RST_I,                       -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-RST_I
        s0_ACK_O => PinSignal_WB_MULTIMASTER_1_s0_ACK_O,     -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_ACK_O
        s0_ADR_I => NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_ADR, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_ADR_I[31..0]
        s0_CYC_I => NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_CYC, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_CYC_I
        s0_DAT_I => NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_DATIO, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_DAT_I[31..0]
        s0_DAT_O => PinSignal_WB_MULTIMASTER_1_s0_DAT_O,     -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_DAT_O[31..0]
        s0_SEL_I => NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_SEL, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_SEL_I[3..0]
        s0_STB_I => NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_STB, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_STB_I
        s0_WE_I  => NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_WE, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s0_WE_I
        s1_ACK_O => PinSignal_WB_MULTIMASTER_1_s1_ACK_O,     -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_ACK_O
        s1_ADR_I => NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_ADR, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_ADR_I[31..0]
        s1_CYC_I => NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_CYC, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_CYC_I
        s1_DAT_I => NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_DATIO, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_DAT_I[31..0]
        s1_DAT_O => PinSignal_WB_MULTIMASTER_1_s1_DAT_O,     -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_DAT_O[31..0]
        s1_SEL_I => NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_SEL, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_SEL_I[3..0]
        s1_STB_I => NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_STB, -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_STB_I
        s1_WE_I  => NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_WE -- ObjectKind=Pin|PrimaryId=WB_MULTIMASTER_1-s1_WE_I
      );

    WB_INTERCON_2 : Configurable_WB_INTERCON_2               -- ObjectKind=Part|PrimaryId=WB_INTERCON_2|SecondaryId=1
      Port Map
      (
        m0_ACK_O => PinSignal_WB_INTERCON_2_m0_ACK_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_ACK_O
        m0_ADR_I => NamedSignal_MCU_M0_S0_WB_INTERCON_2_ADR, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_ADR_I[23..0]
        m0_CLK_I => CLK_I,                                   -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_CLK_I
        m0_CYC_I => NamedSignal_MCU_M0_S0_WB_INTERCON_2_CYC, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_CYC_I
        m0_DAT_I => NamedSignal_MCU_M0_S0_WB_INTERCON_2_DATIO, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_DAT_I[31..0]
        m0_DAT_O => PinSignal_WB_INTERCON_2_m0_DAT_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_DAT_O[31..0]
        m0_SEL_I => NamedSignal_MCU_M0_S0_WB_INTERCON_2_SEL, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_SEL_I[3..0]
        m0_STB_I => NamedSignal_MCU_M0_S0_WB_INTERCON_2_STB, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_STB_I
        m0_WE_I  => NamedSignal_MCU_M0_S0_WB_INTERCON_2_WE,  -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-m0_WE_I
        s0_ACK_I => NamedSignal_WB_INTERCON_2_M0_S0_SD_ACK,  -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_ACK_I
        s0_ADR_O => PinSignal_WB_INTERCON_2_s0_ADR_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_ADR_O[3..0]
        s0_CYC_O => PinSignal_WB_INTERCON_2_s0_CYC_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_CYC_O
        s0_DAT_I => NamedSignal_WB_INTERCON_2_M0_S0_SD_DATOI, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_DAT_I[31..0]
        s0_DAT_O => PinSignal_WB_INTERCON_2_s0_DAT_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_DAT_O[31..0]
        s0_SEL_O => PinSignal_WB_INTERCON_2_s0_SEL_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_SEL_O[3..0]
        s0_STB_O => PinSignal_WB_INTERCON_2_s0_STB_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_STB_O
        s0_WE_O  => PinSignal_WB_INTERCON_2_s0_WE_O,         -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s0_WE_O
        s1_ACK_I => NamedSignal_WB_INTERCON_2_M1_S0_TERM_ACK, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s1_ACK_I
        s1_ADR_O => PinSignal_WB_INTERCON_2_s1_ADR_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s1_ADR_O[3..0]
        s1_CYC_O => PinSignal_WB_INTERCON_2_s1_CYC_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s1_CYC_O
        s1_DAT_I => NamedSignal_WB_INTERCON_2_M1_S0_TERM_DATOI, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s1_DAT_I[7..0]
        s1_DAT_O => PinSignal_WB_INTERCON_2_s1_DAT_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s1_DAT_O[7..0]
        s1_SEL_O => PinSignal_WB_INTERCON_2_s1_SEL_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s1_SEL_O[3..0]
        s1_STB_O => PinSignal_WB_INTERCON_2_s1_STB_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s1_STB_O
        s1_WE_O  => PinSignal_WB_INTERCON_2_s1_WE_O          -- ObjectKind=Pin|PrimaryId=WB_INTERCON_2-s1_WE_O
      );

    WB_INTERCON_1 : Configurable_WB_INTERCON_1               -- ObjectKind=Part|PrimaryId=WB_INTERCON_1|SecondaryId=1
      Port Map
      (
        m0_ACK_O => PinSignal_WB_INTERCON_1_m0_ACK_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_ACK_O
        m0_ADR_I => NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_ADR, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_ADR_I[31..0]
        m0_CLK_I => NamedSignal_CLK_I,                       -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_CLK_I
        m0_CYC_I => NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_CYC, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_CYC_I
        m0_DAT_I => NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_DATIO, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_DAT_I[31..0]
        m0_DAT_O => PinSignal_WB_INTERCON_1_m0_DAT_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_DAT_O[31..0]
        m0_SEL_I => NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_SEL, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_SEL_I[3..0]
        m0_STB_I => NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_STB, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_STB_I
        m0_WE_I  => NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_WE, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-m0_WE_I
        s0_ACK_I => NamedSignal_WB_INTERCON_1_M0_S0_XMEM_ACK, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_ACK_I
        s0_ADR_O => PinSignal_WB_INTERCON_1_s0_ADR_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_ADR_O[18..0]
        s0_CYC_O => PinSignal_WB_INTERCON_1_s0_CYC_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_CYC_O
        s0_DAT_I => NamedSignal_WB_INTERCON_1_M0_S0_XMEM_DATOI, -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_DAT_I[31..0]
        s0_DAT_O => PinSignal_WB_INTERCON_1_s0_DAT_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_DAT_O[31..0]
        s0_SEL_O => PinSignal_WB_INTERCON_1_s0_SEL_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_SEL_O[3..0]
        s0_STB_O => PinSignal_WB_INTERCON_1_s0_STB_O,        -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_STB_O
        s0_WE_O  => PinSignal_WB_INTERCON_1_s0_WE_O          -- ObjectKind=Pin|PrimaryId=WB_INTERCON_1-s0_WE_O
      );

    TERM : TERMINAL                                          -- ObjectKind=Part|PrimaryId=TERM|SecondaryId=1
      Port Map
      (
        ACK_O => PinSignal_TERM_ACK_O,                       -- ObjectKind=Pin|PrimaryId=TERM-ACK_O
        ADR_I => NamedSignal_WB_INTERCON_2_M1_S0_TERM_ADR,   -- ObjectKind=Pin|PrimaryId=TERM-ADR_I[3..0]
        CLK_I => NamedSignal_CLK_I,                          -- ObjectKind=Pin|PrimaryId=TERM-CLK_I
        CYC_I => NamedSignal_WB_INTERCON_2_M1_S0_TERM_CYC,   -- ObjectKind=Pin|PrimaryId=TERM-CYC_I
        DAT_I => NamedSignal_WB_INTERCON_2_M1_S0_TERM_DATIO, -- ObjectKind=Pin|PrimaryId=TERM-DAT_I[7..0]
        DAT_O => PinSignal_TERM_DAT_O,                       -- ObjectKind=Pin|PrimaryId=TERM-DAT_O[7..0]
        INT_O => PinSignal_TERM_INT_O,                       -- ObjectKind=Pin|PrimaryId=TERM-INT_O[1..0]
        RST_I => NamedSignal_RST_I,                          -- ObjectKind=Pin|PrimaryId=TERM-RST_I
        STB_I => NamedSignal_WB_INTERCON_2_M1_S0_TERM_STB,   -- ObjectKind=Pin|PrimaryId=TERM-STB_I
        WE_I  => NamedSignal_WB_INTERCON_2_M1_S0_TERM_WE     -- ObjectKind=Pin|PrimaryId=TERM-WE_I
      );

    SD : WB_SDHC                                             -- ObjectKind=Part|PrimaryId=SD|SecondaryId=1
      Port Map
      (
        IO_ACK_O   => PinSignal_SD_IO_ACK_O,                 -- ObjectKind=Pin|PrimaryId=SD-IO_ACK_O
        IO_ADR_I   => NamedSignal_WB_INTERCON_2_M0_S0_SD_ADR, -- ObjectKind=Pin|PrimaryId=SD-IO_ADR_I[3..0]
        IO_CLK_I   => NamedSignal_CLK_I,                     -- ObjectKind=Pin|PrimaryId=SD-IO_CLK_I
        IO_CYC_I   => NamedSignal_WB_INTERCON_2_M0_S0_SD_CYC, -- ObjectKind=Pin|PrimaryId=SD-IO_CYC_I
        IO_DAT_I   => NamedSignal_WB_INTERCON_2_M0_S0_SD_DATIO, -- ObjectKind=Pin|PrimaryId=SD-IO_DAT_I[31..0]
        IO_DAT_O   => PinSignal_SD_IO_DAT_O,                 -- ObjectKind=Pin|PrimaryId=SD-IO_DAT_O[31..0]
        IO_RST_I   => NamedSignal_RST_I,                     -- ObjectKind=Pin|PrimaryId=SD-IO_RST_I
        IO_STB_I   => NamedSignal_WB_INTERCON_2_M0_S0_SD_STB, -- ObjectKind=Pin|PrimaryId=SD-IO_STB_I
        IO_WE_I    => NamedSignal_WB_INTERCON_2_M0_S0_SD_WE, -- ObjectKind=Pin|PrimaryId=SD-IO_WE_I
        MEM_ACK_I  => NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_ACK, -- ObjectKind=Pin|PrimaryId=SD-MEM_ACK_I
        MEM_ADR_O  => PinSignal_SD_MEM_ADR_O,                -- ObjectKind=Pin|PrimaryId=SD-MEM_ADR_O[31..0]
        MEM_CYC_O  => PinSignal_SD_MEM_CYC_O,                -- ObjectKind=Pin|PrimaryId=SD-MEM_CYC_O
        MEM_DAT_I  => NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_DATOI, -- ObjectKind=Pin|PrimaryId=SD-MEM_DAT_I[31..0]
        MEM_DAT_O  => PinSignal_SD_MEM_DAT_O,                -- ObjectKind=Pin|PrimaryId=SD-MEM_DAT_O[31..0]
        MEM_SEL_O  => PinSignal_SD_MEM_SEL_O,                -- ObjectKind=Pin|PrimaryId=SD-MEM_SEL_O[3..0]
        MEM_STB_O  => PinSignal_SD_MEM_STB_O,                -- ObjectKind=Pin|PrimaryId=SD-MEM_STB_O
        MEM_WE_O   => PinSignal_SD_MEM_WE_O,                 -- ObjectKind=Pin|PrimaryId=SD-MEM_WE_O
        SD_BUSY    => PinSignal_SD_SD_BUSY,                  -- ObjectKind=Pin|PrimaryId=SD-SD_BUSY
        SD_CLK     => PinSignal_SD_SD_CLK,                   -- ObjectKind=Pin|PrimaryId=SD-SD_CLK
        SD_CMD_I   => SD_SD_CMD_I,                           -- ObjectKind=Pin|PrimaryId=SD-SD_CMD_I
        SD_CMD_O   => PinSignal_SD_SD_CMD_O,                 -- ObjectKind=Pin|PrimaryId=SD-SD_CMD_O
        SD_CMD_OEN => PinSignal_SD_SD_CMD_OEN,               -- ObjectKind=Pin|PrimaryId=SD-SD_CMD_OEN
        SD_DAT_I   => SD_SD_DAT_I,                           -- ObjectKind=Pin|PrimaryId=SD-SD_DAT_I[3..0]
        SD_DAT_O   => PinSignal_SD_SD_DAT_O,                 -- ObjectKind=Pin|PrimaryId=SD-SD_DAT_O[3..0]
        SD_DAT_OEN => PinSignal_SD_SD_DAT_OEN,               -- ObjectKind=Pin|PrimaryId=SD-SD_DAT_OEN
        SD_DETECT  => SD_SD_DETECT,                          -- ObjectKind=Pin|PrimaryId=SD-SD_DETECT
        SD_PROTECT => SD_SD_PROTECT                          -- ObjectKind=Pin|PrimaryId=SD-SD_PROTECT
      );

    MCU_LO : J16S_16B                                        -- ObjectKind=Part|PrimaryId=MCU_LO|SecondaryId=1
      Port Map
      (
        I0  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I0
        I1  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I1
        I2  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I2
        I3  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I3
        I4  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I4
        I5  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I5
        I6  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I6
        I7  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I7
        I8  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I8
        I9  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I9
        I10 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I10
        I11 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I11
        I12 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I12
        I13 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I13
        I14 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I14
        I15 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_LO-I15
        O   => PinSignal_MCU_LO_O                            -- ObjectKind=Pin|PrimaryId=MCU_LO-O[15..0]
      );

    MCU_HI : J16S_16B                                        -- ObjectKind=Part|PrimaryId=MCU_HI|SecondaryId=1
      Port Map
      (
        I0  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I0
        I1  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I1
        I2  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I2
        I3  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I3
        I4  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I4
        I5  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I5
        I6  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I6
        I7  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I7
        I8  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I8
        I9  => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I9
        I10 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I10
        I11 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I11
        I12 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I12
        I13 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I13
        I14 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I14
        I15 => PowerSignal_GND,                              -- ObjectKind=Pin|PrimaryId=MCU_HI-I15
        O   => PinSignal_MCU_HI_O                            -- ObjectKind=Pin|PrimaryId=MCU_HI-O[15..0]
      );

    MCU : Configurable_MCU                                   -- ObjectKind=Part|PrimaryId=MCU|SecondaryId=1
      Port Map
      (
        CLK_I    => NamedSignal_CLK_I,                       -- ObjectKind=Pin|PrimaryId=MCU-CLK_I
        INT_I    => NamedSignal_INTERRUPT_MCU_INT_I,         -- ObjectKind=Pin|PrimaryId=MCU-INT_I[31..0]
        IO_ACK_I => NamedSignal_MCU_M0_S0_WB_INTERCON_2_ACK, -- ObjectKind=Pin|PrimaryId=MCU-IO_ACK_I
        IO_ADR_O => PinSignal_MCU_IO_ADR_O,                  -- ObjectKind=Pin|PrimaryId=MCU-IO_ADR_O[23..0]
        IO_CYC_O => PinSignal_MCU_IO_CYC_O,                  -- ObjectKind=Pin|PrimaryId=MCU-IO_CYC_O
        IO_DAT_I => NamedSignal_MCU_M0_S0_WB_INTERCON_2_DATOI, -- ObjectKind=Pin|PrimaryId=MCU-IO_DAT_I[31..0]
        IO_DAT_O => PinSignal_MCU_IO_DAT_O,                  -- ObjectKind=Pin|PrimaryId=MCU-IO_DAT_O[31..0]
        IO_SEL_O => PinSignal_MCU_IO_SEL_O,                  -- ObjectKind=Pin|PrimaryId=MCU-IO_SEL_O[3..0]
        IO_STB_O => PinSignal_MCU_IO_STB_O,                  -- ObjectKind=Pin|PrimaryId=MCU-IO_STB_O
        IO_WE_O  => PinSignal_MCU_IO_WE_O,                   -- ObjectKind=Pin|PrimaryId=MCU-IO_WE_O
        ME_ACK_I => NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_ACK, -- ObjectKind=Pin|PrimaryId=MCU-ME_ACK_I
        ME_ADR_O => PinSignal_MCU_ME_ADR_O,                  -- ObjectKind=Pin|PrimaryId=MCU-ME_ADR_O[31..0]
        ME_CYC_O => PinSignal_MCU_ME_CYC_O,                  -- ObjectKind=Pin|PrimaryId=MCU-ME_CYC_O
        ME_DAT_I => NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_DATOI, -- ObjectKind=Pin|PrimaryId=MCU-ME_DAT_I[31..0]
        ME_DAT_O => PinSignal_MCU_ME_DAT_O,                  -- ObjectKind=Pin|PrimaryId=MCU-ME_DAT_O[31..0]
        ME_SEL_O => PinSignal_MCU_ME_SEL_O,                  -- ObjectKind=Pin|PrimaryId=MCU-ME_SEL_O[3..0]
        ME_STB_O => PinSignal_MCU_ME_STB_O,                  -- ObjectKind=Pin|PrimaryId=MCU-ME_STB_O
        ME_WE_O  => PinSignal_MCU_ME_WE_O,                   -- ObjectKind=Pin|PrimaryId=MCU-ME_WE_O
        RST_I    => RST_I                                    -- ObjectKind=Pin|PrimaryId=MCU-RST_I
      );

    -- Signal Assignments
    ---------------------
    NamedSignal_CLK_I                                      <= CLK_I; -- ObjectKind=Net|PrimaryId=CLK_I
    NamedSignal_GND1_BUS                                   <= "0000"; -- ObjectKind=Net|PrimaryId=GND1_BUS[3..0]
    NamedSignal_GND2_BUS                                   <= "0000"; -- ObjectKind=Net|PrimaryId=GND2_BUS[3..0]
    NamedSignal_INTERRUPT_MCU_INT_I(15 downto 0)           <= PinSignal_MCU_LO_O; -- ObjectKind=Net|PrimaryId=INTERRUPT_MCU_INT_I[15..0]
    NamedSignal_INTERRUPT_MCU_INT_I(31 downto 16)          <= PinSignal_MCU_HI_O; -- ObjectKind=Net|PrimaryId=INTERRUPT_MCU_INT_I[31..0]
    NamedSignal_MCU_M0_S0_WB_INTERCON_2_ACK                <= PinSignal_WB_INTERCON_2_m0_ACK_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_ACK
    NamedSignal_MCU_M0_S0_WB_INTERCON_2_ADR                <= PinSignal_MCU_IO_ADR_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_ADR[23..0]
    NamedSignal_MCU_M0_S0_WB_INTERCON_2_CYC                <= PinSignal_MCU_IO_CYC_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_CYC
    NamedSignal_MCU_M0_S0_WB_INTERCON_2_DATIO              <= PinSignal_MCU_IO_DAT_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_DATIO[31..0]
    NamedSignal_MCU_M0_S0_WB_INTERCON_2_DATOI              <= PinSignal_WB_INTERCON_2_m0_DAT_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_DATOI[31..0]
    NamedSignal_MCU_M0_S0_WB_INTERCON_2_SEL                <= PinSignal_MCU_IO_SEL_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_SEL[3..0]
    NamedSignal_MCU_M0_S0_WB_INTERCON_2_STB                <= PinSignal_MCU_IO_STB_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_STB
    NamedSignal_MCU_M0_S0_WB_INTERCON_2_WE                 <= PinSignal_MCU_IO_WE_O; -- ObjectKind=Net|PrimaryId=MCU_M0_S0_WB_INTERCON_2_WE
    NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_ACK             <= PinSignal_WB_MULTIMASTER_1_s1_ACK_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_ACK
    NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_ADR             <= PinSignal_MCU_ME_ADR_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_ADR[31..0]
    NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_CYC             <= PinSignal_MCU_ME_CYC_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_CYC
    NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_DATIO           <= PinSignal_MCU_ME_DAT_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_DATIO[31..0]
    NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_DATOI           <= PinSignal_WB_MULTIMASTER_1_s1_DAT_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_DATOI[31..0]
    NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_SEL             <= PinSignal_MCU_ME_SEL_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_SEL[3..0]
    NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_STB             <= PinSignal_MCU_ME_STB_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_STB
    NamedSignal_MCU_M1_S1_WB_MULTIMASTER_1_WE              <= PinSignal_MCU_ME_WE_O; -- ObjectKind=Net|PrimaryId=MCU_M1_S1_WB_MULTIMASTER_1_WE
    NamedSignal_RST_I                                      <= RST_I; -- ObjectKind=Net|PrimaryId=RST_I
    NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_ACK              <= PinSignal_WB_MULTIMASTER_1_s0_ACK_O; -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_ACK
    NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_ADR              <= PinSignal_SD_MEM_ADR_O; -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_ADR[31..0]
    NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_CYC              <= PinSignal_SD_MEM_CYC_O; -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_CYC
    NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_DATIO            <= PinSignal_SD_MEM_DAT_O; -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_DATIO[31..0]
    NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_DATOI            <= PinSignal_WB_MULTIMASTER_1_s0_DAT_O; -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_DATOI[31..0]
    NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_SEL              <= PinSignal_SD_MEM_SEL_O; -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_SEL[3..0]
    NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_STB              <= PinSignal_SD_MEM_STB_O; -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_STB
    NamedSignal_SD_M1_S0_WB_MULTIMASTER_1_WE               <= PinSignal_SD_MEM_WE_O; -- ObjectKind=Net|PrimaryId=SD_M1_S0_WB_MULTIMASTER_1_WE
    NamedSignal_WB_INTERCON_1_M0_S0_XMEM_ACK               <= PinSignal_XMEM_ACK_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_ACK
    NamedSignal_WB_INTERCON_1_M0_S0_XMEM_ADR               <= PinSignal_WB_INTERCON_1_s0_ADR_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_ADR[18..0]
    NamedSignal_WB_INTERCON_1_M0_S0_XMEM_CYC               <= PinSignal_WB_INTERCON_1_s0_CYC_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_CYC
    NamedSignal_WB_INTERCON_1_M0_S0_XMEM_DATIO             <= PinSignal_WB_INTERCON_1_s0_DAT_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_DATIO[31..0]
    NamedSignal_WB_INTERCON_1_M0_S0_XMEM_DATOI             <= PinSignal_XMEM_DAT_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_DATOI[31..0]
    NamedSignal_WB_INTERCON_1_M0_S0_XMEM_SEL               <= PinSignal_WB_INTERCON_1_s0_SEL_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_SEL[3..0]
    NamedSignal_WB_INTERCON_1_M0_S0_XMEM_STB               <= PinSignal_WB_INTERCON_1_s0_STB_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_STB
    NamedSignal_WB_INTERCON_1_M0_S0_XMEM_WE                <= PinSignal_WB_INTERCON_1_s0_WE_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_1_M0_S0_XMEM_WE
    NamedSignal_WB_INTERCON_2_M0_S0_SD_ACK                 <= PinSignal_SD_IO_ACK_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_ACK
    NamedSignal_WB_INTERCON_2_M0_S0_SD_ADR                 <= PinSignal_WB_INTERCON_2_s0_ADR_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_ADR[3..0]
    NamedSignal_WB_INTERCON_2_M0_S0_SD_CYC                 <= PinSignal_WB_INTERCON_2_s0_CYC_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_CYC
    NamedSignal_WB_INTERCON_2_M0_S0_SD_DATIO               <= PinSignal_WB_INTERCON_2_s0_DAT_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_DATIO[31..0]
    NamedSignal_WB_INTERCON_2_M0_S0_SD_DATOI               <= PinSignal_SD_IO_DAT_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_DATOI[31..0]
    NamedSignal_WB_INTERCON_2_M0_S0_SD_STB                 <= PinSignal_WB_INTERCON_2_s0_STB_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_STB
    NamedSignal_WB_INTERCON_2_M0_S0_SD_WE                  <= PinSignal_WB_INTERCON_2_s0_WE_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M0_S0_SD_WE
    NamedSignal_WB_INTERCON_2_M1_S0_TERM_ACK               <= PinSignal_TERM_ACK_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_ACK
    NamedSignal_WB_INTERCON_2_M1_S0_TERM_ADR               <= PinSignal_WB_INTERCON_2_s1_ADR_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_ADR[3..0]
    NamedSignal_WB_INTERCON_2_M1_S0_TERM_CYC               <= PinSignal_WB_INTERCON_2_s1_CYC_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_CYC
    NamedSignal_WB_INTERCON_2_M1_S0_TERM_DATIO             <= PinSignal_WB_INTERCON_2_s1_DAT_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_DATIO[7..0]
    NamedSignal_WB_INTERCON_2_M1_S0_TERM_DATOI             <= PinSignal_TERM_DAT_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_DATOI[7..0]
    NamedSignal_WB_INTERCON_2_M1_S0_TERM_STB               <= PinSignal_WB_INTERCON_2_s1_STB_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_STB
    NamedSignal_WB_INTERCON_2_M1_S0_TERM_WE                <= PinSignal_WB_INTERCON_2_s1_WE_O; -- ObjectKind=Net|PrimaryId=WB_INTERCON_2_M1_S0_TERM_WE
    NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_ACK   <= PinSignal_WB_INTERCON_1_m0_ACK_O; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_ACK
    NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_ADR   <= PinSignal_WB_MULTIMASTER_1_m0_ADR_O; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_ADR[31..0]
    NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_CYC   <= PinSignal_WB_MULTIMASTER_1_m0_CYC_O; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_CYC
    NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_DATIO <= PinSignal_WB_MULTIMASTER_1_m0_DAT_O; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_DATIO[31..0]
    NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_DATOI <= PinSignal_WB_INTERCON_1_m0_DAT_O; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_DATOI[31..0]
    NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_SEL   <= PinSignal_WB_MULTIMASTER_1_m0_SEL_O; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_SEL[3..0]
    NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_STB   <= PinSignal_WB_MULTIMASTER_1_m0_STB_O; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_STB
    NamedSignal_WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_WE    <= PinSignal_WB_MULTIMASTER_1_m0_WE_O; -- ObjectKind=Net|PrimaryId=WB_MULTIMASTER_1_M0_S0_WB_INTERCON_1_WE
    PowerSignal_GND                                        <= '0'; -- ObjectKind=Net|PrimaryId=GND
    SD_SD_BUSY                                             <= PinSignal_SD_SD_BUSY; -- ObjectKind=Net|PrimaryId=SD_SD_BUSY
    SD_SD_CLK                                              <= PinSignal_SD_SD_CLK; -- ObjectKind=Net|PrimaryId=SD_SD_CLK
    SD_SD_CMD_O                                            <= PinSignal_SD_SD_CMD_O; -- ObjectKind=Net|PrimaryId=SD_SD_CMD_O
    SD_SD_CMD_OEN                                          <= PinSignal_SD_SD_CMD_OEN; -- ObjectKind=Net|PrimaryId=SD_SD_CMD_OEN
    SD_SD_DAT_O                                            <= PinSignal_SD_SD_DAT_O; -- ObjectKind=Net|PrimaryId=SD_SD_DAT_O[3..0]
    SD_SD_DAT_OEN                                          <= PinSignal_SD_SD_DAT_OEN; -- ObjectKind=Net|PrimaryId=SD_SD_DAT_OEN
    XMEM_SRAM_A                                            <= PinSignal_XMEM_SRAM_A; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_A[17..0]
    XMEM_SRAM_CE                                           <= PinSignal_XMEM_SRAM_CE; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_CE
    XMEM_SRAM_LB                                           <= PinSignal_XMEM_SRAM_LB; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_LB
    XMEM_SRAM_OE                                           <= PinSignal_XMEM_SRAM_OE; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_OE
    XMEM_SRAM_UB                                           <= PinSignal_XMEM_SRAM_UB; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_UB
    XMEM_SRAM_WE                                           <= PinSignal_XMEM_SRAM_WE; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_WE

end structure;
------------------------------------------------------------

