------------------------------------------------------------
-- VHDL sdhc_memory_card
-- 2015 7 11 19 35 59
-- Created By "DXP VHDL Generator"
-- "Copyright (c) 2002-2004 Altium Limited"
------------------------------------------------------------

------------------------------------------------------------
-- VHDL sdhc_memory_card
------------------------------------------------------------

Library IEEE;
Use     IEEE.std_logic_1164.all;

--synthesis translate_off
Library GENERIC_LIB;
Use     GENERIC_LIB.all;

--synthesis translate_on
Entity sdhc_memory_card Is
  port
  (
    BUS_A       : Out   STD_LOGIC_VECTOR(17 DOWNTO 0);       -- ObjectKind=Port|PrimaryId=BUS_A[17..0]
    BUS_D       : InOut STD_LOGIC_VECTOR(15 DOWNTO 0);       -- ObjectKind=Port|PrimaryId=BUS_D[15..0]
    BUS_NBE0    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=BUS_NBE0
    BUS_NBE1    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=BUS_NBE1
    BUS_NWE     : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=BUS_NWE
    CBIO_SPI_CS : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=CBIO_SPI_CS
    CLK12M      : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=CLK12M
    D0          : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=D0
    D1          : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=D1
    D2          : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=D2
    D3          : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=D3
    FLASH_CS    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=FLASH_CS
    FPGA_MISO   : InOut STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=FPGA_MISO
    FPGA_MOSI   : InOut STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=FPGA_MOSI
    FPGA_SPICLK : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=FPGA_SPICLK
    SD_CD       : In    STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SD_CD
    SD_CS       : InOut STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SD_CS
    SD_DAT1     : InOut STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SD_DAT1
    SD_DAT2     : InOut STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SD_DAT2
    SRAM_NCS    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM_NCS
    SRAM_NOE    : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=SRAM_NOE
    TSC_CS      : Out   STD_LOGIC;                           -- ObjectKind=Port|PrimaryId=TSC_CS
    USER_LED    : Out   STD_LOGIC                            -- ObjectKind=Port|PrimaryId=USER_LED
  );
  attribute MacroCell : boolean;

End sdhc_memory_card;
------------------------------------------------------------

------------------------------------------------------------
architecture structure of sdhc_memory_card is
   Component Configurable_IC2                                -- ObjectKind=Part|PrimaryId=IC2|SecondaryId=1
      port
      (
        CLK    : in  STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC2-CLK
        CLKA   : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC2-CLKA
        LOCKED : out STD_LOGIC;                              -- ObjectKind=Pin|PrimaryId=IC2-LOCKED
        RST    : in  STD_LOGIC                               -- ObjectKind=Pin|PrimaryId=IC2-RST
      );
   End Component;

   Component FPGA_STARTUP8                                   -- ObjectKind=Part|PrimaryId=IC3|SecondaryId=1
      port
      (
        CLK   : in  STD_LOGIC;                               -- ObjectKind=Pin|PrimaryId=IC3-CLK
        DELAY : in  STD_LOGIC_VECTOR(7 downto 0);            -- ObjectKind=Pin|PrimaryId=IC3-DELAY[7..0]
        INIT  : out STD_LOGIC                                -- ObjectKind=Pin|PrimaryId=IC3-INIT
      );
   End Component;

   Component INV                                             -- ObjectKind=Part|PrimaryId=IC4|SecondaryId=1
      port
      (
        I : in  STD_LOGIC;                                   -- ObjectKind=Pin|PrimaryId=IC4-I
        O : out STD_LOGIC                                    -- ObjectKind=Pin|PrimaryId=IC4-O
      );
   End Component;

   Component IOBUF                                           -- ObjectKind=Part|PrimaryId=IC5|SecondaryId=1
      port
      (
        I  : in    STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=IC5-I
        IO : inout STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=IC5-IO
        O  : out   STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=IC5-O
        T  : in    STD_LOGIC                                 -- ObjectKind=Pin|PrimaryId=IC5-T
      );
   End Component;

   Component IOBUF4B                                         -- ObjectKind=Part|PrimaryId=IC6|SecondaryId=1
      port
      (
        I  : in    STD_LOGIC_VECTOR(3 downto 0);             -- ObjectKind=Pin|PrimaryId=IC6-I[3..0]
        IO : inout STD_LOGIC_VECTOR(3 downto 0);             -- ObjectKind=Pin|PrimaryId=IC6-IO[3..0]
        O  : out   STD_LOGIC_VECTOR(3 downto 0);             -- ObjectKind=Pin|PrimaryId=IC6-O[3..0]
        T  : in    STD_LOGIC                                 -- ObjectKind=Pin|PrimaryId=IC6-T
      );
   End Component;

   Component NEXUS_JTAG_PORT                                 -- ObjectKind=Part|PrimaryId=NEXUS_JTAG_PORT|SecondaryId=1
      port
      (
        TCK  : in  STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TCK
        TDI  : in  STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TDI
        TDO  : out STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TDO
        TMS  : in  STD_LOGIC;                                -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TMS
        TRST : in  STD_LOGIC                                 -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TRST
      );
   End Component;

   Component sdhc_memory_card_System                         -- ObjectKind=Sheet Symbol|PrimaryId=SDHC
      port
      (
        CLK_I         : in    STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-CLK_I
        RST_I         : in    STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-RST_I
        SD_SD_BUSY    : out   STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_BUSY
        SD_SD_CLK     : out   STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_CLK
        SD_SD_CMD_I   : in    STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_CMD_I
        SD_SD_CMD_O   : out   STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_CMD_O
        SD_SD_CMD_OEN : out   STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_CMD_OEN
        SD_SD_DAT_I   : in    STD_LOGIC_VECTOR(3 downto 0);  -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_DAT_I[3..0]
        SD_SD_DAT_O   : out   STD_LOGIC_VECTOR(3 downto 0);  -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_DAT_O[3..0]
        SD_SD_DAT_OEN : out   STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_DAT_OEN
        SD_SD_DETECT  : in    STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_DETECT
        SD_SD_PROTECT : in    STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_PROTECT
        XMEM_SRAM_A   : out   STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_A[17..0]
        XMEM_SRAM_CE  : out   STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_CE
        XMEM_SRAM_D   : inout STD_LOGIC_VECTOR(15 downto 0); -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_D[15..0]
        XMEM_SRAM_LB  : out   STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_LB
        XMEM_SRAM_OE  : out   STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_OE
        XMEM_SRAM_UB  : out   STD_LOGIC;                     -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_UB
        XMEM_SRAM_WE  : out   STD_LOGIC                      -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_WE
      );
   End Component;


    Signal NamedSignal_CLK_I             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK_I
    Signal NamedSignal_RST_I             : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST_I
    Signal NamedSignal_VCC1_BUS          : STD_LOGIC_VECTOR(7 downto 0); -- ObjectKind=Net|PrimaryId=VCC1_BUS[7..0]
    Signal PinSignal_IC2_CLKA            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=CLK_I
    Signal PinSignal_IC2_LOCKED          : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC2_LOCKED
    Signal PinSignal_IC3_INIT            : STD_LOGIC; -- ObjectKind=Net|PrimaryId=RST_I
    Signal PinSignal_IC4_O               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC4_O
    Signal PinSignal_IC5_O               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC5_O
    Signal PinSignal_IC6_O               : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=NetIC6_O[3..0]
    Signal PinSignal_NEXUS_JTAG_PORT_TDO : STD_LOGIC; -- ObjectKind=Net|PrimaryId=D2
    Signal PinSignal_SDHC_SD_SD_CLK      : STD_LOGIC; -- ObjectKind=Net|PrimaryId=SD_SD_CLK
    Signal PinSignal_SDHC_SD_SD_CMD_O    : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC5_I
    Signal PinSignal_SDHC_SD_SD_CMD_OEN  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC5_T
    Signal PinSignal_SDHC_SD_SD_DAT_O    : STD_LOGIC_VECTOR(3 downto 0); -- ObjectKind=Net|PrimaryId=NetIC6_I[3..0]
    Signal PinSignal_SDHC_SD_SD_DAT_OEN  : STD_LOGIC; -- ObjectKind=Net|PrimaryId=NetIC6_T
    Signal PinSignal_SDHC_XMEM_SRAM_A    : STD_LOGIC_VECTOR(17 downto 0); -- ObjectKind=Net|PrimaryId=BUS_A[17..0]
    Signal PinSignal_SDHC_XMEM_SRAM_CE   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_CE
    Signal PinSignal_SDHC_XMEM_SRAM_LB   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_LB
    Signal PinSignal_SDHC_XMEM_SRAM_OE   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_OE
    Signal PinSignal_SDHC_XMEM_SRAM_UB   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_UB
    Signal PinSignal_SDHC_XMEM_SRAM_WE   : STD_LOGIC; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_WE
    Signal PowerSignal_GND               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=GND
    Signal PowerSignal_VCC               : STD_LOGIC; -- ObjectKind=Net|PrimaryId=VCC

begin
    SDHC : sdhc_memory_card_System                           -- ObjectKind=Sheet Symbol|PrimaryId=SDHC
      Port Map
      (
        CLK_I           => NamedSignal_CLK_I,                -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-CLK_I
        RST_I           => NamedSignal_RST_I,                -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-RST_I
        SD_SD_CLK       => PinSignal_SDHC_SD_SD_CLK,         -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_CLK
        SD_SD_CMD_I     => PinSignal_IC5_O,                  -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_CMD_I
        SD_SD_CMD_O     => PinSignal_SDHC_SD_SD_CMD_O,       -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_CMD_O
        SD_SD_CMD_OEN   => PinSignal_SDHC_SD_SD_CMD_OEN,     -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_CMD_OEN
        SD_SD_DAT_I     => PinSignal_IC6_O,                  -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_DAT_I[3..0]
        SD_SD_DAT_O     => PinSignal_SDHC_SD_SD_DAT_O,       -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_DAT_O[3..0]
        SD_SD_DAT_OEN   => PinSignal_SDHC_SD_SD_DAT_OEN,     -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_DAT_OEN
        SD_SD_DETECT    => SD_CD,                            -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_DETECT
        SD_SD_PROTECT   => PowerSignal_VCC,                  -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-SD_SD_PROTECT
        XMEM_SRAM_A     => PinSignal_SDHC_XMEM_SRAM_A,       -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_A[17..0]
        XMEM_SRAM_CE    => PinSignal_SDHC_XMEM_SRAM_CE,      -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_CE
        XMEM_SRAM_D(15) => BUS_D(15),                        -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_D[15..0]
        XMEM_SRAM_D(14) => BUS_D(14),                        -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_D[15..0]
        XMEM_SRAM_D(13) => BUS_D(13),                        -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_D[15..0]
        XMEM_SRAM_D(12) => BUS_D(12),                        -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_D[15..0]
        XMEM_SRAM_D(11) => BUS_D(11),                        -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_D[15..0]
        XMEM_SRAM_D(10) => BUS_D(10),                        -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_D[15..0]
        XMEM_SRAM_D(9)  => BUS_D(9),                         -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_D[15..0]
        XMEM_SRAM_D(8)  => BUS_D(8),                         -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_D[15..0]
        XMEM_SRAM_D(7)  => BUS_D(7),                         -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_D[15..0]
        XMEM_SRAM_D(6)  => BUS_D(6),                         -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_D[15..0]
        XMEM_SRAM_D(5)  => BUS_D(5),                         -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_D[15..0]
        XMEM_SRAM_D(4)  => BUS_D(4),                         -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_D[15..0]
        XMEM_SRAM_D(3)  => BUS_D(3),                         -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_D[15..0]
        XMEM_SRAM_D(2)  => BUS_D(2),                         -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_D[15..0]
        XMEM_SRAM_D(1)  => BUS_D(1),                         -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_D[15..0]
        XMEM_SRAM_D(0)  => BUS_D(0),                         -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_D[15..0]
        XMEM_SRAM_LB    => PinSignal_SDHC_XMEM_SRAM_LB,      -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_LB
        XMEM_SRAM_OE    => PinSignal_SDHC_XMEM_SRAM_OE,      -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_OE
        XMEM_SRAM_UB    => PinSignal_SDHC_XMEM_SRAM_UB,      -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_UB
        XMEM_SRAM_WE    => PinSignal_SDHC_XMEM_SRAM_WE       -- ObjectKind=Sheet Entry|PrimaryId=sdhc_memory_card_System.OpenBus-XMEM_SRAM_WE
      );

    NEXUS_JTAG_PORTXOWIEVYB : NEXUS_JTAG_PORT                -- ObjectKind=Part|PrimaryId=NEXUS_JTAG_PORT|SecondaryId=1
      Port Map
      (
        TCK  => D0,                                          -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TCK
        TDI  => D1,                                          -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TDI
        TDO  => PinSignal_NEXUS_JTAG_PORT_TDO,               -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TDO
        TMS  => D3,                                          -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TMS
        TRST => PowerSignal_VCC                              -- ObjectKind=Pin|PrimaryId=NEXUS_JTAG_PORT-TRST
      );

    IC6 : IOBUF4B                                            -- ObjectKind=Part|PrimaryId=IC6|SecondaryId=1
      Port Map
      (
        I     => PinSignal_SDHC_SD_SD_DAT_O,                 -- ObjectKind=Pin|PrimaryId=IC6-I[3..0]
        IO(3) => SD_CS,                                      -- ObjectKind=Pin|PrimaryId=IC6-IO[3..0]
        IO(2) => SD_DAT2,                                    -- ObjectKind=Pin|PrimaryId=IC6-IO[3..0]
        IO(1) => SD_DAT1,                                    -- ObjectKind=Pin|PrimaryId=IC6-IO[3..0]
        IO(0) => FPGA_MISO,                                  -- ObjectKind=Pin|PrimaryId=IC6-IO[3..0]
        O     => PinSignal_IC6_O,                            -- ObjectKind=Pin|PrimaryId=IC6-O[3..0]
        T     => PinSignal_SDHC_SD_SD_DAT_OEN                -- ObjectKind=Pin|PrimaryId=IC6-T
      );

    IC5 : IOBUF                                              -- ObjectKind=Part|PrimaryId=IC5|SecondaryId=1
      Port Map
      (
        I  => PinSignal_SDHC_SD_SD_CMD_O,                    -- ObjectKind=Pin|PrimaryId=IC5-I
        IO => FPGA_MOSI,                                     -- ObjectKind=Pin|PrimaryId=IC5-IO
        O  => PinSignal_IC5_O,                               -- ObjectKind=Pin|PrimaryId=IC5-O
        T  => PinSignal_SDHC_SD_SD_CMD_OEN                   -- ObjectKind=Pin|PrimaryId=IC5-T
      );

    IC4 : INV                                                -- ObjectKind=Part|PrimaryId=IC4|SecondaryId=1
      Port Map
      (
        I => PinSignal_IC2_LOCKED,                           -- ObjectKind=Pin|PrimaryId=IC4-I
        O => PinSignal_IC4_O                                 -- ObjectKind=Pin|PrimaryId=IC4-O
      );

    IC3 : FPGA_STARTUP8                                      -- ObjectKind=Part|PrimaryId=IC3|SecondaryId=1
      Port Map
      (
        CLK   => PinSignal_IC2_CLKA,                         -- ObjectKind=Pin|PrimaryId=IC3-CLK
        DELAY => NamedSignal_VCC1_BUS,                       -- ObjectKind=Pin|PrimaryId=IC3-DELAY[7..0]
        INIT  => PinSignal_IC3_INIT                          -- ObjectKind=Pin|PrimaryId=IC3-INIT
      );

    IC2 : Configurable_IC2                                   -- ObjectKind=Part|PrimaryId=IC2|SecondaryId=1
      Port Map
      (
        CLK    => CLK12M,                                    -- ObjectKind=Pin|PrimaryId=IC2-CLK
        CLKA   => PinSignal_IC2_CLKA,                        -- ObjectKind=Pin|PrimaryId=IC2-CLKA
        LOCKED => PinSignal_IC2_LOCKED,                      -- ObjectKind=Pin|PrimaryId=IC2-LOCKED
        RST    => PowerSignal_GND                            -- ObjectKind=Pin|PrimaryId=IC2-RST
      );

    -- Signal Assignments
    ---------------------
    BUS_A                <= PinSignal_SDHC_XMEM_SRAM_A; -- ObjectKind=Net|PrimaryId=BUS_A[17..0]
    BUS_NBE0             <= PinSignal_SDHC_XMEM_SRAM_LB; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_LB
    BUS_NBE1             <= PinSignal_SDHC_XMEM_SRAM_UB; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_UB
    BUS_NWE              <= PinSignal_SDHC_XMEM_SRAM_WE; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_WE
    CBIO_SPI_CS          <= PowerSignal_VCC; -- ObjectKind=Net|PrimaryId=VCC
    D2                   <= PinSignal_NEXUS_JTAG_PORT_TDO; -- ObjectKind=Net|PrimaryId=D2
    FLASH_CS             <= PowerSignal_VCC; -- ObjectKind=Net|PrimaryId=VCC
    FPGA_SPICLK          <= PinSignal_SDHC_SD_SD_CLK; -- ObjectKind=Net|PrimaryId=SD_SD_CLK
    NamedSignal_CLK_I    <= PinSignal_IC2_CLKA; -- ObjectKind=Net|PrimaryId=CLK_I
    NamedSignal_RST_I    <= PinSignal_IC3_INIT; -- ObjectKind=Net|PrimaryId=RST_I
    NamedSignal_VCC1_BUS <= "11111111"; -- ObjectKind=Net|PrimaryId=VCC1_BUS[7..0]
    PowerSignal_GND      <= '0'; -- ObjectKind=Net|PrimaryId=GND
    PowerSignal_VCC      <= '1'; -- ObjectKind=Net|PrimaryId=VCC
    SRAM_NCS             <= PinSignal_SDHC_XMEM_SRAM_CE; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_CE
    SRAM_NOE             <= PinSignal_SDHC_XMEM_SRAM_OE; -- ObjectKind=Net|PrimaryId=XMEM_SRAM_OE
    TSC_CS               <= PowerSignal_VCC; -- ObjectKind=Net|PrimaryId=VCC
    USER_LED             <= PinSignal_IC4_O; -- ObjectKind=Net|PrimaryId=NetIC4_O

end structure;
------------------------------------------------------------

